Bug 170010 - [UPDATE] chinese/fcitx and its addons to 4.2.5
Summary: [UPDATE] chinese/fcitx and its addons to 4.2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-19 23:50 UTC by lichray
Modified: 2012-07-25 19:20 UTC (History)
0 users

See Also:


Attachments
fcitx_4.2.5_all_in_one.patch (21.54 KB, patch)
2012-07-19 23:50 UTC, lichray
no flags Details | Diff
fcitx_4.2.5_svn.diff (21.06 KB, patch)
2012-07-25 00:25 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-07-19 23:50:04 UTC
	
	Fcitx is updated to 4.2.5.
	https://www.csslayer.info/wordpress/fcitx-dev/fcitx-4-2-5/

	This patch contains 4 patches:
		chinese/fcitx
		chinese/fcitx-configtool
		chinese/fcitx-sunpinyin
		chinese/fcitx-cloudpinyin

	And this PR intends to remove the following port:
		textproc/fcitx-keyboard

	Since the port is already merged into chinese/fcitx. In order to notify the users of such a change, I also want to add the following words to /usr/ports/UPDATING :

  AFFECTS: users of chinese/fcitx
  AUTHOR: lichray@gmail.com

  The textproc/fcitx-keyboard port is merged into chinese/fcitx.
  Before updating, be sure to

  # pkg_delete -f fcitx-keyboard-\*

  And make sure you have at least one keyboard layout based input method
  enabled in fcitx-configtool, to keep the activation/deactivation of IM
  panel working.

	And, since chinese/fcitx-sunpinyin depends on an update to
		chinese/sunpinyin

	This PR depends on ports/170008 .
Comment 1 Michael Scheidell freebsd_committer 2012-07-23 11:08:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 Michael Scheidell freebsd_committer 2012-07-23 11:13:37 UTC
A suggestion:
if you are patching two or more  different ports, put each port in a 
different attachment.
As it is, we have to split your patch into multiple files (sometimes)

or:
One more thing you might do, that would help everyone AND you, (and you 
can put your patch in one attachment)

use the new subversion ports tree.

sync up tree with svn (or just your ports), do your patch, and then so a 
'svn diff'.
This creates a diff with an Index, and we can patch multiple ports with 
'patch -EunI' (the -I looks for the Index line in diff)

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 3 Michael Scheidell freebsd_committer 2012-07-24 18:53:15 UTC
State Changed
From-To: open->feedback

I got this (similar) on 7-i386 and 9-amd. 
http://lorie.secnap.net/tb/index.php?action=display_markup_log&build=7-scheidell_I386&id=1780#988
Comment 4 Michael Scheidell freebsd_committer 2012-07-24 23:14:35 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

Back to the pool, ENOTIME
Comment 5 lichray 2012-07-25 00:25:02 UTC
I added index this time, so you wont miss files now.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 6 Michael Scheidell 2012-07-25 11:41:22 UTC
almost.

ls
CHANGES                MOVED                Tools                
patch-data_CMakeLists.txt.orig
COPYRIGHT            Makefile            UIDs                security
GIDs                Mk                UPDATING
KNOBS                README                chinese
LEGAL                Templates            patch-data_CMakeLists.txt


seems that (for some reason), it puts the NEW patch file in ../ and does 
not follow index.

(i did:
cd /usr/ports
patch -EuN -I -i /tmp/patch.txt, and it (i hope) put all but the new 
patch in the right dir (see above)

from now on, you must put EACH PORT in its own attachment, and list the 
fact that you are patching four different ports.  or, you must open 4 
prn's and make sure you let the ocmmitter know to link them together.

If you think this is too much work, consider the committer has to split 
your patch apart, guess which patch goes where, and, due to this, a 
committer who takes a quick glance at your pr's will most likely skip by 
it to get one that is easier to work.

lets try that next time, I don't know if send-pr can attach 4 different 
patches, but it seems that Index.


-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator


______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 7 Michael Scheidell 2012-07-25 11:45:05 UTC
and I know why it didn't

chinese/fcitx-sunpinyin/files/patch-data_CMakeLists.txt

chinese/fcitx-sunpinyin/files did not exist.

so, if you list, in your pr, something like:

'this pr patches the following ports:
chinese/fcitx
chinese/fcitx-sunpinyin
chinese/fctic.. (etc)

this pr adds the directory:
chinese/fcitx-sunpinin/files


this way, the committer can get it right the first time.

-- 
Michael Scheidell, CTO
o: 561-999-5000
d: 561-948-2259
 >*| *SECNAP Network Security Corporation

    * Best Mobile Solutions Product of 2011
    * Best Intrusion Prevention Product
    * Hot Company Finalist 2011
    * Best Email Security Product
    * Certified SNORT Integrator


______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 8 Michael Scheidell freebsd_committer 2012-07-25 12:12:21 UTC
needed to add the following to fcitx/pkg-plist:

(are they ALWAYS there, or just with certain OPTIONS?
do these dirs need dirrm or dirrmtry?

+lib/girepository-1.0/Fcitx-1.0.typelib
+share/gir-1.0/Fcitx-1.0.gir

+@dirrm lib/girepository-1.0
+@dirrm share/gir-1.0
+@unexec rm /etc/xdg/autostart/fcitx-autostart.desktop
+@unexec rmdir /etc/xdg/autostart 2>/dev/null || true
+@unexec rmdir /etc/xdg 2>/dev/null || true


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 9 Michael Scheidell freebsd_committer 2012-07-25 12:14:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Running in tinderbox now with new pkg-plist
Comment 10 lichray 2012-07-25 12:14:09 UTC
On Wed, Jul 25, 2012 at 5:41 AM, Michael Scheidell
<michael.scheidell@secnap.com> wrote:
> almost.
>
> ls
> CHANGES                MOVED                Tools
> patch-data_CMakeLists.txt.orig
> COPYRIGHT            Makefile            UIDs                security
> GIDs                Mk                UPDATING
> KNOBS                README                chinese
> LEGAL                Templates            patch-data_CMakeLists.txt
>
>
> seems that (for some reason), it puts the NEW patch file in ../ and does =
not
> follow index.
>
> (i did:
> cd /usr/ports
> patch -EuN -I -i /tmp/patch.txt, and it (i hope) put all but the new patc=
h
> in the right dir (see above)

My new patch is created with svn diff, one patch. Does that work
without splitting?

>
> from now on, you must put EACH PORT in its own attachment, and list the f=
act
> that you are patching four different ports.  or, you must open 4 prn's an=
d
> make sure you let the ocmmitter know to link them together.
>
> If you think this is too much work, consider the committer has to split y=
our
> patch apart, guess which patch goes where, and, due to this, a committer =
who
> takes a quick glance at your pr's will most likely skip by it to get one
> that is easier to work.
>
> lets try that next time, I don't know if send-pr can attach 4 different
> patches, but it seems that Index.
>
>
> --
> Michael Scheidell, CTO
> o: 561-999-5000
> d: 561-948-2259
>> | SECNAP Network Security Corporation
>
> Best Mobile Solutions Product of 2011
> Best Intrusion Prevention Product
> Hot Company Finalist 2011
> Best Email Security Product
> Certified SNORT Integrator
>
>
> ________________________________
> This email has been scanned and certified safe by SpammerTrap=C2=AE.
> For Information please see http://www.spammertrap.com/
> ________________________________
>



--=20
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 11 lichray 2012-07-25 12:17:55 UTC
On Wed, Jul 25, 2012 at 6:12 AM, Michael Scheidell
<scheidell@freebsd.org> wrote:
> needed to add the following to fcitx/pkg-plist:
>
> (are they ALWAYS there, or just with certain OPTIONS?
> do these dirs need dirrm or dirrmtry?
>
> +lib/girepository-1.0/Fcitx-1.0.typelib
> +share/gir-1.0/Fcitx-1.0.gir
>
> +@dirrm lib/girepository-1.0
> +@dirrm share/gir-1.0

These two dirs are created by glib2, not by fcitx. GIR is not
disable-able for glib2.

> +@unexec rm /etc/xdg/autostart/fcitx-autostart.desktop
> +@unexec rmdir /etc/xdg/autostart 2>/dev/null || true
> +@unexec rmdir /etc/xdg 2>/dev/null || true
>

My miss. I'll patch it to not to install this file.

>
>
> --
> Michael Scheidell, CTO
>> | SECNAP Network Security Corporation
> d: +1.561.948.2259
> w: http://people.freebsd.org/~scheidell



-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 12 Michael Scheidell freebsd_committer 2012-07-25 19:10:57 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 13 dfilter service freebsd_committer 2012-07-25 19:15:35 UTC
Author: scheidell
Date: Wed Jul 25 18:10:40 2012
New Revision: 301526
URL: http://svn.freebsd.org/changeset/ports/301526

Log:
  - Update fcitx and addons to 4.2.5
  - Remove textproc/fcitx-keyboard
  
  PR:		ports/170010
  Submitted by:	Zhihao Yuan <lichray@gmail.com> (maintainer)

Added:
  head/chinese/fcitx-sunpinyin/files/
  head/chinese/fcitx-sunpinyin/files/patch-data_CMakeLists.txt   (contents, props changed)
  head/chinese/fcitx/files/patch-data_script_CMakeLists.txt   (contents, props changed)
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_CMakeLists.txt   (contents, props changed)
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxinputmethod.c   (contents, props changed)
  head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxkbd.c   (contents, props changed)
  head/chinese/fcitx/files/patch-src_module_unicode_charselectdata.c   (contents, props changed)
Deleted:
  head/textproc/fcitx-keyboard/
Modified:
  head/MOVED
  head/UPDATING
  head/chinese/fcitx-cloudpinyin/Makefile   (contents, props changed)
  head/chinese/fcitx-cloudpinyin/distinfo   (contents, props changed)
  head/chinese/fcitx-configtool/Makefile   (contents, props changed)
  head/chinese/fcitx-configtool/distinfo   (contents, props changed)
  head/chinese/fcitx-configtool/files/patch-gtk_CMakeLists.txt   (contents, props changed)
  head/chinese/fcitx-sunpinyin/Makefile   (contents, props changed)
  head/chinese/fcitx-sunpinyin/distinfo   (contents, props changed)
  head/chinese/fcitx-sunpinyin/pkg-plist   (contents, props changed)
  head/chinese/fcitx/Makefile   (contents, props changed)
  head/chinese/fcitx/distinfo   (contents, props changed)
  head/chinese/fcitx/files/patch-data_CMakeLists.txt   (contents, props changed)
  head/chinese/fcitx/files/patch-src_lib_fcitx-utils_utils.c   (contents, props changed)
  head/chinese/fcitx/pkg-plist   (contents, props changed)
  head/textproc/Makefile   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/MOVED	Wed Jul 25 18:10:40 2012	(r301526)
@@ -3558,3 +3558,4 @@ devel/acpicatools||2012-07-22|Has expire
 mail/mutt-devel|mail/mutt|2012-07-22|mail/mutt-devel is ready for primetime
 mail/mutt-devel-lite|mail/mutt-lite|2012-07-22|mail/mutt-devel is ready for primetime
 deskutils/phpgroupware|www/phpgroupware|2012-07-23|Moved to proper category
+textproc/fcitx-keyboard||2012-07-25|Removed, merged into chinese/fcitx

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/UPDATING	Wed Jul 25 18:10:40 2012	(r301526)
@@ -6,6 +6,22 @@ You should get into the habit of checkin
 you update your ports collection, before attempting any port upgrades.
 
 20120725:
+AFFECTS: users of chinese/fcitx
+AUTHOR: lichray@gmail.com
+
+The textproc/fcitx-keyboard port is merged into chinese/fcitx.
+Before updating, be sure to
+
+# pkg_delete -f fcitx-keyboard-\*
+
+And make sure you have at least one keyboard layout based input method
+enabled in fcitx-configtool, to keep the activation/deactivation of IM
+panel working.
+
+And, since chinese/fcitx-sunpinyin depends on an update to
+chinese/sunpinyin
+
+20120725:
   AFFECTS: users of www/py-beautifulsoup
   AUTHOR: rm@FreeBSD.org
 

Modified: head/chinese/fcitx-cloudpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-cloudpinyin/Makefile	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-cloudpinyin/Makefile	Wed Jul 25 18:10:40 2012	(r301526)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	fcitx-cloudpinyin
-PORTVERSION=	0.2.1
-PORTREVISION=	1
+PORTVERSION=	0.2.3
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
@@ -15,7 +14,7 @@ DIST_SUBDIR=	fcitx
 MAINTAINER=	lichray@gmail.com
 COMMENT=	A cloud-based Pinyin module for Fcitx
 
-LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx \
+LIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx \
 		curl:${PORTSDIR}/ftp/curl
 
 USE_XZ=		yes

Modified: head/chinese/fcitx-cloudpinyin/distinfo
==============================================================================
--- head/chinese/fcitx-cloudpinyin/distinfo	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-cloudpinyin/distinfo	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-cloudpinyin-0.2.1.tar.xz) = 548a08a2a1585c5dc13c5bf6116197203dafc2c475efdf5b6e57bdb900cb2cac
-SIZE (fcitx/fcitx-cloudpinyin-0.2.1.tar.xz) = 18388
+SHA256 (fcitx/fcitx-cloudpinyin-0.2.3.tar.xz) = 01a97c975e2485831d47bb9648f724683a89facba53d8d127bff950e61a77dff
+SIZE (fcitx/fcitx-cloudpinyin-0.2.3.tar.xz) = 18636

Modified: head/chinese/fcitx-configtool/Makefile
==============================================================================
--- head/chinese/fcitx-configtool/Makefile	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-configtool/Makefile	Wed Jul 25 18:10:40 2012	(r301526)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	fcitx-configtool
-PORTVERSION=	0.4.3
-PORTREVISION=	1
+PORTVERSION=	0.4.4
 CATEGORIES=	chinese x11
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
@@ -17,7 +16,7 @@ COMMENT=	Fcitx IM framework configure to
 
 BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/iso-codes.pc:${PORTSDIR}/misc/iso-codes \
 		${LOCALBASE}/libdata/pkgconfig/dbus-glib-1.pc:${PORTSDIR}/devel/dbus-glib
-LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx
+LIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx
 
 USE_XZ=		yes
 USE_GNOME=	intltool gnomehack
@@ -30,18 +29,18 @@ OPTIONS=	GTK2		"Enable Gtk2 Version" on 
 .include <bsd.port.options.mk>
 
 .if defined(WITH_GTK2)
+CMAKE_ARGS+=	-DENABLE_GTK2=ON
 USE_GNOME+=	gtk20
 PLIST_SUB+=	GTK2=""
 .else
-CMAKE_ARGS+=	-DENABLE_GTK2=OFF
 PLIST_SUB+=	GTK2="@comment "
 .endif
 
 .if defined(WITH_GTK3)
 USE_GNOME+=	gtk30
-CMAKE_ARGS+=	-DENABLE_GTK3=ON
 PLIST_SUB+=	GTK3=""
 .else
+CMAKE_ARGS+=	-DENABLE_GTK3=OFF
 PLIST_SUB+=	GTK3="@comment "
 .endif
 

Modified: head/chinese/fcitx-configtool/distinfo
==============================================================================
--- head/chinese/fcitx-configtool/distinfo	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-configtool/distinfo	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-configtool-0.4.3.tar.xz) = 0b8722da441acd3deb841f6b389b02499bc99f61a711ce57ad0cccae359a53b9
-SIZE (fcitx/fcitx-configtool-0.4.3.tar.xz) = 34792
+SHA256 (fcitx/fcitx-configtool-0.4.4.tar.xz) = 66cae23c1e1555a5e8e8cb8696e562b0b58d28e16d2f0b9c64a0f274a6c06745
+SIZE (fcitx/fcitx-configtool-0.4.4.tar.xz) = 37764

Modified: head/chinese/fcitx-configtool/files/patch-gtk_CMakeLists.txt
==============================================================================
--- head/chinese/fcitx-configtool/files/patch-gtk_CMakeLists.txt	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-configtool/files/patch-gtk_CMakeLists.txt	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,6 +1,11 @@
---- gtk/CMakeLists.txt~	2012-05-03 01:21:57.000000000 -0500
-+++ gtk/CMakeLists.txt	2012-05-14 01:56:06.761294523 -0500
-@@ -49,6 +49,7 @@ target_link_libraries (fcitx-config-gtk
+--- gtk/CMakeLists.txt.orig	2012-06-02 11:14:45.000000000 -0500
++++ gtk/CMakeLists.txt	2012-07-18 02:00:53.555897529 -0500
+@@ -1,3 +1,4 @@
++PKG_CHECK_MODULES (GTK2 "gtk+-2.0 >= 2.22" REQUIRED)
+ PKG_CHECK_MODULES (DBUS_GLIB "dbus-glib-1" REQUIRED)
+ PKG_CHECK_MODULES (UNIQUE "unique-1.0")
+ 
+@@ -49,6 +50,7 @@ target_link_libraries (fcitx-config-gtk
                         ${FCITX4_FCITX_LIBRARIES}
                         ${GLIB2_LIBRARIES}
                         ${DBUS_GLIB_LIBRARIES}

Modified: head/chinese/fcitx-sunpinyin/Makefile
==============================================================================
--- head/chinese/fcitx-sunpinyin/Makefile	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-sunpinyin/Makefile	Wed Jul 25 18:10:40 2012	(r301526)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	fcitx-sunpinyin
-PORTVERSION=	0.3.6
-PORTREVISION=	1
+PORTVERSION=	0.3.8
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
@@ -15,8 +14,9 @@ DIST_SUBDIR=	fcitx
 MAINTAINER=	lichray@gmail.com
 COMMENT=	SunPinyin support for Fcitx
 
-LIB_DEPENDS=	fcitx-config.4:${PORTSDIR}/chinese/fcitx \
-		sunpinyin.3:${PORTSDIR}/chinese/sunpinyin
+LIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx
+BUILD_DEPENDS=	zh-sunpinyin>=2.0.4.r2:${PORTSDIR}/chinese/sunpinyin
+RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 USE_XZ=		yes
 USE_GETTEXT=	yes

Modified: head/chinese/fcitx-sunpinyin/distinfo
==============================================================================
--- head/chinese/fcitx-sunpinyin/distinfo	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-sunpinyin/distinfo	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,2 +1,2 @@
-SHA256 (fcitx/fcitx-sunpinyin-0.3.6.tar.xz) = 6ed029860fe8df1e39bf8f36ada4473a94467887614e103d5832fd8a09cfa6a6
-SIZE (fcitx/fcitx-sunpinyin-0.3.6.tar.xz) = 40348
+SHA256 (fcitx/fcitx-sunpinyin-0.3.8.tar.xz) = 7a65087f9cc9136d5a64006f2d2a34fe81b3ac6e73f25326a62f5013d996431b
+SIZE (fcitx/fcitx-sunpinyin-0.3.8.tar.xz) = 41376

Added: head/chinese/fcitx-sunpinyin/files/patch-data_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx-sunpinyin/files/patch-data_CMakeLists.txt	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,13 @@
+diff data/CMakeLists.txt.orig data/CMakeLists.txt
+index d5e9ae1..9c05fce 100644
+--- data/CMakeLists.txt.orig
++++ data/CMakeLists.txt
+@@ -9,3 +9,5 @@ endforeach(size 16 22 24 32 48 128)
+ install(FILES sunpinyin-logo-22.png DESTINATION share/fcitx/skin/dark RENAME sunpinyin.png)
+ install(FILES sunpinyin-logo-16.png DESTINATION share/fcitx/skin/default RENAME sunpinyin.png)
+ install(FILES sunpinyin-logo-16.png DESTINATION share/fcitx/skin/classic RENAME sunpinyin.png)
++
++install(FILES sunpinyin-logo-48.png DESTINATION share/fcitx/imicon RENAME sunpinyin.png)
+-- 
+1.7.10
+

Modified: head/chinese/fcitx-sunpinyin/pkg-plist
==============================================================================
--- head/chinese/fcitx-sunpinyin/pkg-plist	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx-sunpinyin/pkg-plist	Wed Jul 25 18:10:40 2012	(r301526)
@@ -5,6 +5,7 @@ share/fcitx/inputmethod/sunpinyin.conf
 share/fcitx/skin/classic/sunpinyin.png
 share/fcitx/skin/dark/sunpinyin.png
 share/fcitx/skin/default/sunpinyin.png
+share/fcitx/imicon/sunpinyin.png
 share/icons/hicolor/128x128/apps/fcitx-sunpinyin.png
 share/icons/hicolor/16x16/apps/fcitx-sunpinyin.png
 share/icons/hicolor/22x22/apps/fcitx-sunpinyin.png

Modified: head/chinese/fcitx/Makefile
==============================================================================
--- head/chinese/fcitx/Makefile	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx/Makefile	Wed Jul 25 18:10:40 2012	(r301526)
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	fcitx
-PORTVERSION=	4.2.3
-PORTREVISION=	3
+PORTVERSION=	4.2.5
 CATEGORIES=	chinese x11
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} pinyin.tar.gz table.tar.gz
@@ -19,8 +18,11 @@ COMMENT=	A Flexible Input Method Framewo
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	execinfo.1:${PORTSDIR}/devel/libexecinfo \
-		dbus-1.3:${PORTSDIR}/devel/dbus
+BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/iso-codes.pc:${PORTSDIR}/misc/iso-codes
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo \
+		dbus-1:${PORTSDIR}/devel/dbus \
+		enchant:${PORTSDIR}/textproc/enchant \
+		icuuc:${PORTSDIR}/devel/icu
 RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils
 
 MAN1=		createPYMB.1 fcitx-remote.1 fcitx.1 mb2org.1 mb2txt.1 \
@@ -28,10 +30,12 @@ MAN1=		createPYMB.1 fcitx-remote.1 fcitx
 SUB_FILES=	pkg-message
 SUB_LIST+=	PORTSDIR=${PORTSDIR}
 
+CONFLICTS=	zh-scim-fcitx-3.*
+
 USE_XZ=		yes
-USE_GNOME=	pango intltool gnomehack
+USE_GNOME=	pango intltool libxml2 gnomehack
 USE_GETTEXT=	yes
-USE_XORG=	x11 xext
+USE_XORG=	x11 xext xkbfile
 USE_LDCONFIG=	yes
 USE_CMAKE=	yes
 INSTALLS_ICONS=	yes
@@ -76,7 +80,7 @@ PLIST_SUB+=	QT4="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MOPENCC}
-LIB_DEPENDS+=	opencc.1:${PORTSDIR}/chinese/opencc
+LIB_DEPENDS+=	opencc:${PORTSDIR}/chinese/opencc
 .else
 CMAKE_ARGS+=	-DENABLE_OPENCC=OFF
 .endif

Modified: head/chinese/fcitx/distinfo
==============================================================================
--- head/chinese/fcitx/distinfo	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx/distinfo	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,5 +1,5 @@
-SHA256 (fcitx/fcitx-4.2.3.tar.xz) = 4b7d22ada50f7e375096094c2abcf09ad114ffb68521ccf0de37d71e1014183c
-SIZE (fcitx/fcitx-4.2.3.tar.xz) = 612028
+SHA256 (fcitx/fcitx-4.2.5.tar.xz) = 478d311d3427e255729671f3a461762348bf5d83ed694d78021012778047140a
+SIZE (fcitx/fcitx-4.2.5.tar.xz) = 1413724
 SHA256 (fcitx/pinyin.tar.gz) = 583829b24a758c087c08de4a69480d0bf5946354fe77db360d6d7f467c2bd8e1
 SIZE (fcitx/pinyin.tar.gz) = 1608886
 SHA256 (fcitx/table.tar.gz) = 6196053c724125e3ae3d8bd6b2f9172d0c83b65b0d410d3cde63b7a8d6ab87b7

Modified: head/chinese/fcitx/files/patch-data_CMakeLists.txt
==============================================================================
--- head/chinese/fcitx/files/patch-data_CMakeLists.txt	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx/files/patch-data_CMakeLists.txt	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,6 +1,14 @@
---- data/CMakeLists.txt~	2011-10-02 05:43:11.000000000 -0500
-+++ data/CMakeLists.txt	2011-11-09 04:34:25.659393502 -0600
-@@ -43,7 +43,6 @@ intltool_merge_translation(${CMAKE_CURRE
+--- data/CMakeLists.txt.orig	2012-07-17 15:21:04.000000000 -0500
++++ data/CMakeLists.txt	2012-07-25 09:15:36.331202614 -0500
+@@ -29,7 +29,6 @@ set(FCITX_PY_FILES
+ set(FCITX_DSEKTOP_FILES
+     fcitx.desktop
+     fcitx-configtool.desktop
+-    fcitx-autostart.desktop
+ )
+ 
+ set(PY_ORGDATA pyPhrase.org)
+@@ -45,7 +44,6 @@ intltool_merge_translation(${CMAKE_CURRE
  add_custom_target(pinyin_data ALL DEPENDS ${PY_DATA})
  
  add_custom_command(OUTPUT ${PY_ORGDATA}
@@ -8,3 +16,12 @@
                     COMMAND ${TAR} xzmvf ${PY_TAR})
  add_custom_command(OUTPUT ${PY_DATA}
                     DEPENDS ${PY_ORGDATA}
+@@ -60,7 +58,3 @@ fcitx_add_configdesc_file(${FCITX_DESC_F
+ install(FILES ${FCITX_PY_FILES} ${CMAKE_CURRENT_BINARY_DIR}/pybase.mb ${CMAKE_CURRENT_BINARY_DIR}/pyphrase.mb DESTINATION ${pkgdatadir}/pinyin)
+ 
+ set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "${CMAKE_CURRENT_BINARY_DIR}/pyERROR,${CMAKE_CURRENT_BINARY_DIR}/pyPhrase.ok")
+-
+-if (_ENABLE_DBUS)
+-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-autostart.desktop DESTINATION /etc/xdg/autostart)
+-endif (_ENABLE_DBUS)
+\ No newline at end of file

Added: head/chinese/fcitx/files/patch-data_script_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-data_script_CMakeLists.txt	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,11 @@
+--- data/script/CMakeLists.txt~	2012-07-17 15:21:04.000000000 -0500
++++ data/script/CMakeLists.txt	2012-07-18 03:16:21.077945464 -0500
+@@ -2,7 +2,3 @@ install(FILES fcitx-configtool DESTINATI
+ 
+ configure_file(fcitx4-config.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx4-config)
+ install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx4-config DESTINATION ${bindir}  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+-
+-if (_ENABLE_DBUS)
+-install(FILES fcitx-autostart DESTINATION ${bindir}  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+-endif (_ENABLE_DBUS)
+\ No newline at end of file

Added: head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_CMakeLists.txt	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,18 @@
+--- src/lib/fcitx-gclient/CMakeLists.txt~	2012-07-17 15:21:04.000000000 -0500
++++ src/lib/fcitx-gclient/CMakeLists.txt	2012-07-18 00:46:13.209418264 -0500
+@@ -46,7 +46,7 @@ target_link_libraries(fcitx-gclient ${GI
+ configure_file(fcitx-gclient.pc.in ${CMAKE_CURRENT_BINARY_DIR}/fcitx-gclient.pc)
+ 
+ install(TARGETS fcitx-gclient LIBRARY DESTINATION "${libdir}")
+-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-gclient.pc DESTINATION "${libdir}/pkgconfig")
++install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitx-gclient.pc DESTINATION "libdata/pkgconfig")
+ install(FILES ${FCITX_GCLIENT_HEADERS} DESTINATION "${includedir}/fcitx-gclient")
+ 
+ if (ENABLE_GIR)
+@@ -86,4 +86,4 @@ install(TARGETS fcitx-gclient-static
+ )
+ endif (ENABLE_STATIC)
+ 
+-add_subdirectory(test)
+\ No newline at end of file
++add_subdirectory(test)

Added: head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxinputmethod.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxinputmethod.c	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,16 @@
+--- src/lib/fcitx-gclient/fcitxinputmethod.c~	2012-07-17 15:21:04.000000000 -0500
++++ src/lib/fcitx-gclient/fcitxinputmethod.c	2012-07-18 00:24:39.533453747 -0500
+@@ -58,11 +58,11 @@ enum {
+ 
+ static guint signals[LAST_SIGNAL] = {0};
+ 
+-G_DEFINE_TYPE(FcitxInputMethod, fcitx_input_method, G_TYPE_DBUS_PROXY);
+-
+ FCITX_EXPORT_API
+ GType        fcitx_input_method_get_type(void) G_GNUC_CONST;
+ 
++G_DEFINE_TYPE(FcitxInputMethod, fcitx_input_method, G_TYPE_DBUS_PROXY);
++
+ static GDBusInterfaceInfo * _fcitx_input_method_get_interface_info(void);
+ static void _fcitx_im_item_foreach_cb(gpointer data, gpointer user_data);
+ 

Added: head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxkbd.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-src_lib_fcitx-gclient_fcitxkbd.c	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,16 @@
+--- src/lib/fcitx-gclient/fcitxkbd.c~	2012-07-17 15:21:04.000000000 -0500
++++ src/lib/fcitx-gclient/fcitxkbd.c	2012-07-18 00:25:05.368996486 -0500
+@@ -45,11 +45,11 @@ static const gchar introspection_xml[] =
+ "</node>";
+ 
+ 
+-G_DEFINE_TYPE(FcitxKbd, fcitx_kbd, G_TYPE_DBUS_PROXY);
+-
+ FCITX_EXPORT_API
+ GType        fcitx_kbd_get_type(void) G_GNUC_CONST;
+ 
++G_DEFINE_TYPE(FcitxKbd, fcitx_kbd, G_TYPE_DBUS_PROXY);
++
+ static GDBusInterfaceInfo * _fcitx_kbd_get_interface_info(void);
+ 
+ static GDBusInterfaceInfo *

Modified: head/chinese/fcitx/files/patch-src_lib_fcitx-utils_utils.c
==============================================================================
--- head/chinese/fcitx/files/patch-src_lib_fcitx-utils_utils.c	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx/files/patch-src_lib_fcitx-utils_utils.c	Wed Jul 25 18:10:40 2012	(r301526)
@@ -1,78 +1,23 @@
-diff --git src/lib/fcitx-utils/utils.c src/lib/fcitx-utils/utils.c
-index c97ff44..473abc3 100644
---- src/lib/fcitx-utils/utils.c
-+++ src/lib/fcitx-utils/utils.c
-@@ -337,19 +337,23 @@ int fcitx_utils_pid_exists(pid_t pid)
-     if (vm == 0) // ignore all error
-         return 1;
- 
--    int cnt;
--    struct kinfo_proc * kp = kvm_getprocs(vm, KERN_PROC_PID, pid, &cnt);
--    if (kp == 0)
--        return 1;
--    int i;
--    for (i = 0; i < cnt; i++)
--        if (kp->ki_pid == pid)
-+    int result = 1;
-+    do {
-+        int cnt;
-+        struct kinfo_proc * kp = kvm_getprocs(vm, KERN_PROC_PID, pid, &cnt);
-+        if (kp == 0) {
-+            result = 1;
-             break;
--    int result;
--    if (i != cnt)
--        result = 1;
--    else
--        result = 0;
-+        }
-+        int i;
-+        for (i = 0; i < cnt; i++)
-+            if (kp->ki_pid == pid)
-+                break;
-+        if (i != cnt)
-+            result = 1;
-+        else
-+            result = 0;
-+    } while (0);
-     kvm_close(vm);
-     return result;
- #else
-@@ -386,21 +390,24 @@ char* fcitx_utils_get_process_name()
-     if (vm == 0)
-         return strdup("");
- 
--    int cnt;
--    int mypid = getpid();
--    struct kinfo_proc * kp = kvm_getprocs(vm, KERN_PROC_PID, mypid, &cnt);
--    if ((cnt != 1) || (kp == 0))
--        return strdup("");
--    int i;
--    for (i = 0; i < cnt; i++)
--        if (kp->ki_pid == mypid)
--            break;
-     char* result = NULL;
--    if (i != cnt)
--        result = strdup(kp->ki_comm);
--    else
--        result = strdup("");
-+    do {
-+        int cnt;
-+        int mypid = getpid();
-+        struct kinfo_proc * kp = kvm_getprocs(vm, KERN_PROC_PID, mypid, &cnt);
-+        if ((cnt != 1) || (kp == 0)) {
-+            break;
-+        }
-+        int i;
-+        for (i = 0; i < cnt; i++)
-+            if (kp->ki_pid == mypid)
-+                break;
-+        if (i != cnt)
-+            result = strdup(kp->ki_comm);
-+    } while (0);
-     kvm_close(vm);
-+    if (result == NULL)
-+        result = strdup("");
-     return result;
- #else
-     return strdup("");
+--- ./src/lib/fcitx-utils/utils.c~	2012-07-17 15:21:04.000000000 -0500
++++ ./src/lib/fcitx-utils/utils.c	2012-07-18 00:14:56.901797676 -0500
+@@ -113,13 +113,13 @@ void fcitx_utils_init_as_daemon()
+         exit(0);
+     }
+     setsid();
+-    sighandler_t oldint = signal(SIGINT, SIG_IGN);
+-    sighandler_t oldhup  =signal(SIGHUP, SIG_IGN);
+-    sighandler_t oldquit = signal(SIGQUIT, SIG_IGN);
+-    sighandler_t oldpipe = signal(SIGPIPE, SIG_IGN);
+-    sighandler_t oldttou = signal(SIGTTOU, SIG_IGN);
+-    sighandler_t oldttin = signal(SIGTTIN, SIG_IGN);
+-    sighandler_t oldchld = signal(SIGCHLD, SIG_IGN);
++    sig_t oldint = signal(SIGINT, SIG_IGN);
++    sig_t oldhup  =signal(SIGHUP, SIG_IGN);
++    sig_t oldquit = signal(SIGQUIT, SIG_IGN);
++    sig_t oldpipe = signal(SIGPIPE, SIG_IGN);
++    sig_t oldttou = signal(SIGTTOU, SIG_IGN);
++    sig_t oldttin = signal(SIGTTIN, SIG_IGN);
++    sig_t oldchld = signal(SIGCHLD, SIG_IGN);
+     if (fork() > 0)
+         exit(0);
+     chdir("/");

Added: head/chinese/fcitx/files/patch-src_module_unicode_charselectdata.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/fcitx/files/patch-src_module_unicode_charselectdata.c	Wed Jul 25 18:10:40 2012	(r301526)
@@ -0,0 +1,11 @@
+--- src/module/unicode/charselectdata.c~	2012-07-17 15:21:04.000000000 -0500
++++ src/module/unicode/charselectdata.c	2012-07-18 00:20:19.447890414 -0500
+@@ -4,7 +4,7 @@
+  * original file is licensed under GPLv2+
+  */
+ 
+-#include <endian.h>
++#include <sys/endian.h>
+ #include <ctype.h>
+ #include <libintl.h>
+ #include <fcitx-utils/uthash.h>

Modified: head/chinese/fcitx/pkg-plist
==============================================================================
--- head/chinese/fcitx/pkg-plist	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/chinese/fcitx/pkg-plist	Wed Jul 25 18:10:40 2012	(r301526)
@@ -13,6 +13,11 @@ bin/txt2mb
 include/fcitx-config/fcitx-config.h
 include/fcitx-config/hotkey.h
 include/fcitx-config/xdg.h
+include/fcitx-gclient/fcitxkbd.h
+include/fcitx-gclient/fcitxclient.h
+include/fcitx-gclient/fcitxinputmethod.h
+include/fcitx-utils/keysymgen.h
+include/fcitx-utils/keysym.h
 include/fcitx-utils/log.h
 include/fcitx-utils/memory.h
 include/fcitx-utils/utarray.h
@@ -36,6 +41,7 @@ include/fcitx/module/dbus/dbusstuff.h
 include/fcitx/module/ipc/ipc.h
 include/fcitx/module/pinyin/pydef.h
 include/fcitx/module/punc/punc.h
+include/fcitx/module/quickphrase/quickphrase.h
 include/fcitx/module/x11/x11stuff.h
 include/fcitx/profile.h
 include/fcitx/ui.h
@@ -44,6 +50,8 @@ lib/fcitx/fcitx-chttrans.so
 lib/fcitx/fcitx-classic-ui.so
 lib/fcitx/fcitx-dbus.so
 lib/fcitx/fcitx-fullwidth-char.so
+lib/fcitx/fcitx-keyboard.so
+lib/fcitx/fcitx-imselector.so
 lib/fcitx/fcitx-ipc.so
 lib/fcitx/fcitx-kimpanel-ui.so
 lib/fcitx/fcitx-pinyin.so
@@ -52,18 +60,26 @@ lib/fcitx/fcitx-quickphrase.so
 lib/fcitx/fcitx-qw.so
 lib/fcitx/fcitx-remote-module.so
 lib/fcitx/fcitx-table.so
+lib/fcitx/fcitx-unicode.so
 lib/fcitx/fcitx-vk.so
 lib/fcitx/fcitx-x11.so
 lib/fcitx/fcitx-xim.so
+lib/fcitx/fcitx-xkb.so
+lib/fcitx/fcitx-xkbdbus.so
 lib/libfcitx-config.so
 lib/libfcitx-config.so.4
 lib/libfcitx-config.so.4.1
 lib/libfcitx-core.so
 lib/libfcitx-core.so.0
 lib/libfcitx-core.so.0.3
+lib/libfcitx-gclient.so
+lib/libfcitx-gclient.so.0
+lib/libfcitx-gclient.so.0.1
 lib/libfcitx-utils.so
 lib/libfcitx-utils.so.0
 lib/libfcitx-utils.so.0.1
+lib/girepository-1.0/Fcitx-1.0.typelib
+share/gir-1.0/Fcitx-1.0.gir
 %%GTK2%%lib/gtk-2.0/%%GTK2_VERSION%%/immodules/im-fcitx.so
 %%GTK2%%@exec gtk-query-immodules-2.0 > %%LOCALBASE%%/etc/gtk-2.0/gtk.immodules
 %%GTK2%%@unexec gtk-query-immodules-2.0 > %%LOCALBASE%%/etc/gtk-2.0/gtk.immodules
@@ -74,6 +90,7 @@ lib/libfcitx-utils.so.0.1
 %%QT4%%@dirrmtry lib/qt4/plugins/inputmethods
 %%QT4%%@dirrmtry lib/qt4/plugins
 libdata/pkgconfig/fcitx-config.pc
+libdata/pkgconfig/fcitx-gclient.pc
 libdata/pkgconfig/fcitx-utils.pc
 libdata/pkgconfig/fcitx.pc
 share/applications/fcitx-configtool.desktop
@@ -93,7 +110,9 @@ share/cmake/fcitx/FcitxMacro.cmake
 %%DATADIR%%/addon/fcitx-classic-ui.conf
 %%DATADIR%%/addon/fcitx-dbus.conf
 %%DATADIR%%/addon/fcitx-fullwidth-char.conf
+%%DATADIR%%/addon/fcitx-imselector.conf
 %%DATADIR%%/addon/fcitx-ipc.conf
+%%DATADIR%%/addon/fcitx-keyboard.conf
 %%DATADIR%%/addon/fcitx-kimpanel-ui.conf
 %%DATADIR%%/addon/fcitx-pinyin.conf
 %%DATADIR%%/addon/fcitx-punc.conf
@@ -101,26 +120,42 @@ share/cmake/fcitx/FcitxMacro.cmake
 %%DATADIR%%/addon/fcitx-qw.conf
 %%DATADIR%%/addon/fcitx-remote-module.conf
 %%DATADIR%%/addon/fcitx-table.conf
+%%DATADIR%%/addon/fcitx-unicode.conf
 %%DATADIR%%/addon/fcitx-vk.conf
 %%DATADIR%%/addon/fcitx-x11.conf
 %%DATADIR%%/addon/fcitx-xim.conf
+%%DATADIR%%/addon/fcitx-xkb.conf
+%%DATADIR%%/addon/fcitx-xkbdbus.conf
 %%DATADIR%%/configdesc/addon.desc
 %%DATADIR%%/configdesc/config.desc
 %%DATADIR%%/configdesc/fcitx-chttrans.desc
 %%DATADIR%%/configdesc/fcitx-classic-ui.desc
+%%DATADIR%%/configdesc/fcitx-imselector.desc
+%%DATADIR%%/configdesc/fcitx-keyboard.desc
 %%DATADIR%%/configdesc/fcitx-pinyin.desc
 %%DATADIR%%/configdesc/fcitx-quickphrase.desc
+%%DATADIR%%/configdesc/fcitx-table.desc
+%%DATADIR%%/configdesc/fcitx-unicode.desc
 %%DATADIR%%/configdesc/fcitx-xim.desc
+%%DATADIR%%/configdesc/fcitx-xkb.desc
 %%DATADIR%%/configdesc/inputmethod.desc
 %%DATADIR%%/configdesc/profile.desc
 %%DATADIR%%/configdesc/skin.desc
 %%DATADIR%%/configdesc/table.desc
 %%DATADIR%%/data/AutoEng.dat
+%%DATADIR%%/data/charselectdata
 %%DATADIR%%/data/gbks2t.tab
 %%DATADIR%%/data/punc.mb.zh_CN
 %%DATADIR%%/data/punc.mb.zh_HK
 %%DATADIR%%/data/punc.mb.zh_TW
 %%DATADIR%%/data/vk.conf
+%%DATADIR%%/imicon/wbpy.png
+%%DATADIR%%/imicon/ziranma.png
+%%DATADIR%%/imicon/erbi.png
+%%DATADIR%%/imicon/wubi.png
+%%DATADIR%%/imicon/shuangpin.png
+%%DATADIR%%/imicon/pinyin.png
+%%DATADIR%%/imicon/cangjie.png
 %%DATADIR%%/inputmethod/pinyin.conf
 %%DATADIR%%/inputmethod/qw.conf
 %%DATADIR%%/inputmethod/shuangpin.conf
@@ -315,13 +350,14 @@ share/mime/packages/x-fskin.xml
 @dirrmtry share/icons/gnome
 @dirrmtry share/icons/hicolor/scalable/status
 @dirrmtry share/icons/hicolor/scalable
-@dirrm %%DATADIR%%/table
+@dirrmtry %%DATADIR%%/table
 @dirrm %%DATADIR%%/skin/default
 @dirrm %%DATADIR%%/skin/dark
 @dirrm %%DATADIR%%/skin/classic
-@dirrm %%DATADIR%%/skin
+@dirrmtry %%DATADIR%%/skin
 @dirrm %%DATADIR%%/pinyin
 @dirrm %%DATADIR%%/inputmethod
+@dirrm %%DATADIR%%/imicon
 @dirrm %%DATADIR%%/data
 @dirrm %%DATADIR%%/configdesc
 @dirrm %%DATADIR%%/addon
@@ -330,9 +366,11 @@ share/mime/packages/x-fskin.xml
 @dirrm share/cmake/fcitx
 @dirrm lib/fcitx
 @dirrm include/fcitx/module/x11
+@dirrm include/fcitx/module/quickphrase
 @dirrm include/fcitx/module/punc
 @dirrm include/fcitx/module/pinyin
 @dirrm include/fcitx/module/ipc
+@dirrm include/fcitx-gclient
 @dirrm include/fcitx/module/dbus
 @dirrm include/fcitx/module/classicui
 @dirrm include/fcitx/module/chttrans
@@ -340,3 +378,5 @@ share/mime/packages/x-fskin.xml
 @dirrm include/fcitx-utils
 @dirrm include/fcitx-config
 @dirrm include/fcitx
+@dirrmtry lib/girepository-1.0
+@dirrmtry share/gir-1.0

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Wed Jul 25 17:27:23 2012	(r301525)
+++ head/textproc/Makefile	Wed Jul 25 18:10:40 2012	(r301526)
@@ -175,7 +175,6 @@
     SUBDIR += exslt
     SUBDIR += ezxml
     SUBDIR += fa-aspell
-    SUBDIR += fcitx-keyboard
     SUBDIR += fex
     SUBDIR += ffe
     SUBDIR += fi-aspell
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"